Observability
Get Observability Sessions Developer Info
Retrieves detailed console and network data for debugging.
Retrieves detailed console and network data for debugging.
Authorization
auth-token AuthorizationBearer <token>
All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Query Parameters
session_id*string
The unique identifier of the session.
Format
textLength
1 <= lengthtab_id*string
unique tab id of the web session.
Format
textLength
1 <= lengthversion_key*string
version key of the app.
Format
textLength
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.devrev.ai/observability.sessions.developer-info.get?session_id=string&tab_id=string&version_key=string"{
"console_data": [
{
"type": "error",
"full_url": "string",
"properties": {
"normalized_url": "string",
"page_name": "string",
"page_url": "string"
},
"timestamp": "2023-01-01T12:00:00.000Z",
"value": "string"
}
],
"network_data": [
{
"type": "string",
"request": {
"method": "string",
"start_time": "2023-01-01T12:00:00.000Z",
"url": "string"
},
"response": {
"end_time": "2023-01-01T12:00:00.000Z",
"status": 0
}
}
]
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}